Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.editor.client.testing
Class MockEditorChain<C>

    java.lang.Object
      com.google.gwt.editor.client.testing.MockEditorChain<C>

Type Parameters:
  `C` - the type being edited

All Implemented Interfaces:
  CompositeEditor.EditorChain<C,FakeLeafValueEditor<C>>

    public class MockEditorChain<C>

extends java.lang.Object
implements CompositeEditor.EditorChain<C,FakeLeafValueEditor<C>>

A Mock implementation of `CompositeEditor.EditorChain`.

Constructor Summary
`MockEditorChain()`

Method Summary
`void` | `attach(C object, FakeLeafValueEditor<C> subEditor)` Editors attached to the chain will be automatically flushed as if they were a statically-defined sub-Editor.
`void` | `detach(FakeLeafValueEditor<C> subEditor)` Detach a sub-Editor from the editor chain.
`C` | `getValue(FakeLeafValueEditor<C> subEditor)` Retrieves the value associated with the editor.
`boolean` | `isAttached(FakeLeafValueEditor<C> subEditor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockEditorChain

    public MockEditorChain()

Method Detail

### attach

    public void attach(C object,
                       FakeLeafValueEditor<C> subEditor)

  Description copied from interface: `CompositeEditor.EditorChain`
  Editors attached to the chain will be automatically flushed as if they were a statically-defined sub-Editor.

  Specified by:
    `attach` in interface `CompositeEditor.EditorChain<C,FakeLeafValueEditor<C>>`
  Parameters:
    `object` - the object to edit
    `subEditor` - the Editor to populate

### detach

    public void detach(FakeLeafValueEditor<C> subEditor)

  Description copied from interface: `CompositeEditor.EditorChain`
  Detach a sub-Editor from the editor chain.

  Specified by:
    `detach` in interface `CompositeEditor.EditorChain<C,FakeLeafValueEditor<C>>`
  Parameters:
    `subEditor` - an Editor previously passed into `CompositeEditor.EditorChain.attach(C, E)`

### getValue

    public C getValue(FakeLeafValueEditor<C> subEditor)

  Description copied from interface: `CompositeEditor.EditorChain`
  Retrieves the value associated with the editor.

  Specified by:
    `getValue` in interface `CompositeEditor.EditorChain<C,FakeLeafValueEditor<C>>`
  Parameters:
    `subEditor` - an Editor previously passed into `CompositeEditor.EditorChain.attach(C, E)`
  Returns:
    the value associated with the editor

### isAttached

    public boolean isAttached(FakeLeafValueEditor<C> subEditor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD